
import { mapGetters } from 'vuex'
export default {
  data() {
    return {
      h5NavHeightP: 44,
    }
  },
  computed: {
    ...mapGetters(['showAppbar'])
  },
  onLoad({ appbar }) {
    if (appbar == 'hidden') {
      this.h5NavHeightP = 0
      this.hideNavBar()
    }
  },
  methods: {
    hideNavBar() {
      /*#ifdef H5*/
      this.$nextTick(() => {
        let head = document.getElementsByTagName('uni-page-head')
        if (head[0]) {
          head[0].style.display='none'
        }
        // console.log(head);
      })
      /*#endif*/
    }
  }
}
